Bug 517943 - TVtime reports cx18:Invalid argument with Hauppauge HVR-1600
Summary: TVtime reports cx18:Invalid argument with Hauppauge HVR-1600
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cx18-firmware
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 04:40 UTC by Bob Shanteau
Modified: 2009-09-17 14:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 14:11:43 UTC


Attachments (Terms of Use)

Description Bob Shanteau 2009-08-18 04:40:09 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2 (.NET CLR 3.5.30729)

With Hauppauge HVR-1600 card installed and cx18 firmware installed, TVtime reports:

cx18:Invalid argument
Cannot open capture device /dev/video0.

Reproducible: Always

Steps to Reproduce:
1. Insert Hauppauge HVR-1600 card.
2. Install Rawhide from boot.iso dated 8/17/2009.
3. Reboot to desktop.
4. Use Add/Remove Software to install cx18 firmware and TVtime.
5. Reboot.
6. Start TVtime
4. Select Install Firmware button.
Actual Results:  
TVtime displays error message:

cx18:Invalid argument
Cannot open capture device /dev/video0.

Expected Results:  
TVtime shows analog TV from HVR-1600.

Comment 1 Jarod Wilson 2009-08-18 20:45:08 UTC
This is not a cx18-firmware bug. Its either a kernel bug or a hal/udev/devicekit/whatever bug, if the device /dev/video0 is present, but can't be opened by a non-root user. You might also have better luck rebooting after installing the firmware, as perhaps the device permissions will be correct after you login with the firmware already in place, not sure, just a theory.

Comment 2 Jarod Wilson 2009-08-18 20:46:25 UTC
Also... does this device have a hardware mpeg2 encoder? If so, tvtime won't work with it, no matter what you do. At least, as far as I know, tvtime only supports raw video, it doesn't support devices with hardware encoders.

Comment 3 Jarod Wilson 2009-09-17 14:11:43 UTC
Device does indeed have a hardware mepg2 encoder, and is not supported by tvtime.


Note You need to log in before you can comment on or make changes to this bug.